%global srcname vermin

Name: python-%{srcname}
Version: 1.6.0
Release: 0%{?dist}.1sunshine
Summary: Detect the minimum Python versions needed to run code

License: MIT
URL: https://github.com/netromdk/vermin
Source0: %{url}/archive/refs/tags/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch: noarch
# 3.2+ according to vermin, for unittest.main(buffer):
BuildRequires: python3-devel >= 3.2
BuildRequires: python3-setuptools

%global _description %{expand:
Concurrently detect the minimum Python versions needed to run code.}

%description %{_description}

%package -n python3-%{srcname}
Summary: %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname} %{_description}
      
%prep
%setup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%defattr(-,root,root,-)
%license LICENSE.txt
%doc README.rst SECURITY.md sample.vermin.ini
%{_bindir}/%{srcname}
%{python3_sitelib}/*

%changelog
* Sun Nov 10 2024 Moritz Barsnick <moritz+rpm@barsnick.net> 1.6.0-0.1sunshine
- update to 1.6.0

* Wed Jul 05 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 1.5.2-0.1sunshine
- update to 1.5.2
- properly use %%{description}

* Fri Mar 10 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 1.5.1-0.2sunshine
- drop use of %%{description}, it doesn't work (not in other Fedora packages
  either)

* Fri Mar 10 2023 Moritz Barsnick <moritz+rpm@barsnick.net> 1.5.1-0.1sunshine
- update to 1.5.1

* Wed Nov 09 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 1.5.0-0.1sunshine
- update to 1.5.0
- rearrange SPEC file
- make target explicitly python3
- package SECURITY.md

* Tue Aug 30 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 1.4.2-0.1sunshine
- update to 1.4.2

* Mon Jul 4 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 1.4.0-0.1sunshine
- update to 1.4.0

* Sun Jan 2 2022 Moritz Barsnick <moritz+rpm@barsnick.net> 1.3.3-0.1sunshine
- initial RPM
